- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Enumerations
Textgrid Object Functions
Specific Object Functions

## Data Structures
struct | _Evas_Textgrid_Cell
| The values that describes each cell. More...

## Typedefs
typedef struct _Evas_Textgrid_Cell | Evas_Textgrid_Cell
| The values that describes each cell. More...

## Enumerations
enum | Evas_Textgrid_Palette { EVAS_TEXTGRID_PALETTE_NONE, EVAS_TEXTGRID_PALETTE_STANDARD, EVAS_TEXTGRID_PALETTE_EXTENDED, EVAS_TEXTGRID_PALETTE_LAST }
| The palette to use for the foreground and background colors. More...
enum | Evas_Textgrid_Font_Style { EVAS_TEXTGRID_FONT_STYLE_NORMAL = (1 << 0), EVAS_TEXTGRID_FONT_STYLE_BOLD = (1 << 1), EVAS_TEXTGRID_FONT_STYLE_ITALIC = (1 << 2) }
| The style to give to each character of the grid. More...
enum | { EVAS_OBJ_TEXTGRID_SUB_ID_SIZE_SET, EVAS_OBJ_TEXTGRID_SUB_ID_SIZE_GET, EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SOURCE_SET, EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SOURCE_GET, EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SET, EVAS_OBJ_TEXTGRID_SUB_ID_FONT_GET, EVAS_OBJ_TEXTGRID_SUB_ID_CELL_SIZE_GET, EVAS_OBJ_TEXTGRID_SUB_ID_PALETTE_SET, EVAS_OBJ_TEXTGRID_SUB_ID_PALETTE_GET, EVAS_OBJ_TEXTGRID_SUB_ID_SUPPORTED_FONT_STYLES_SET, EVAS_OBJ_TEXTGRID_SUB_ID_SUPPORTED_FONT_STYLES_GET, EVAS_OBJ_TEXTGRID_SUB_ID_CELLROW_SET, EVAS_OBJ_TEXTGRID_SUB_ID_CELLROW_GET, EVAS_OBJ_TEXTGRID_SUB_ID_UPDATE_ADD, EVAS_OBJ_TEXTGRID_SUB_ID_LAST }
#define | EVAS_OBJ_TEXTGRID_CLASS evas_object_textgrid_class_get()
#define | EVAS_OBJ_TEXTGRID_ID(sub_id) (EVAS_OBJ_TEXTGRID_BASE_ID + sub_id)
#define | evas_obj_textgrid_size_set(w, h) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | evas_obj_textgrid_size_get(w, h) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | evas_obj_textgrid_font_source_set(font_source) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SOURCE_SET), EO_TYPECHECK(const char *, font_source)
#define | evas_obj_textgrid_font_source_get(ret) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SOURCE_GET), EO_TYPECHECK(const char **, ret)
#define | evas_obj_textgrid_font_set(font_name, font_size) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SET), EO_TYPECHECK(const char *, font_name), EO_TYPECHECK(Evas_Font_Size, font_size)
#define | evas_obj_textgrid_font_get(font_name, font_size) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_GET), EO_TYPECHECK(const char **, font_name), EO_TYPECHECK(Evas_Font_Size *, font_size)
#define | evas_obj_textgrid_cell_size_get(width, height) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_CELL_SIZE_GET), EO_TYPECHECK(int *, width), EO_TYPECHECK(int *, height)
#define | evas_obj_textgrid_palette_set(pal, idx, r, g, b, a) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_PALETTE_SET), EO_TYPECHECK(Evas_Textgrid_Palette, pal), EO_TYPECHECK(int, idx), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)
#define | evas_obj_textgrid_palette_get(pal, idx, r, g, b, a) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_PALETTE_GET), EO_TYPECHECK(Evas_Textgrid_Palette, pal), EO_TYPECHECK(int, idx), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)
#define | evas_obj_textgrid_supported_font_styles_set(styles) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SUPPORTED_FONT_STYLES_SET), EO_TYPECHECK(Evas_Textgrid_Font_Style, styles)
#define | evas_obj_textgrid_supported_font_styles_get(ret) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SUPPORTED_FONT_STYLES_GET), EO_TYPECHECK(Evas_Textgrid_Font_Style *, ret)
#define | evas_obj_textgrid_cellrow_set(y, row) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_CELLROW_SET), EO_TYPECHECK(int, y), EO_TYPECHECK(const Evas_Textgrid_Cell *, row)
#define | evas_obj_textgrid_cellrow_get(y, ret) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_CELLROW_GET), EO_TYPECHECK(int, y), EO_TYPECHECK(Evas_Textgrid_Cell **, ret)
#define | evas_obj_textgrid_update_add(x, y, w, h) EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_UPDATE_ADD), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
Eo_Op | EVAS_OBJ_TEXTGRID_BASE_ID
const Eo_Class * | evas_object_textgrid_class_get (void)

## Detailed Description

Since
  1.7

## Macro Definition Documentation

#define evas_obj_textgrid_size_set | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Set the size of the textgrid object.

Parameters

  [in] | w |
  [in] | h |

See Also
  evas_object_textgrid_size_set

Referenced by evas_object_textgrid_size_set().

#define evas_obj_textgrid_size_get | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Get the size of the textgrid object.

Parameters

  [out] | w |
  [out] | h |

See Also
  evas_object_textgrid_size_get

Referenced by evas_object_textgrid_size_get().

#define evas_obj_textgrid_font_source_set | ( |  | font_source | ) | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SOURCE_SET), EO_TYPECHECK(const char *, font_source)

Since
  1.8

Set the font (source) file to be used on a given textgrid object.

Parameters

  [in] | font_source |

See Also
  evas_object_textgrid_font_source_set

Referenced by evas_object_textgrid_font_source_set().

#define evas_obj_textgrid_font_source_get | ( |  | ret | ) | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SOURCE_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the font file's path which is being used on a given textgrid object.

Parameters

  [out] | ret |

See Also
  evas_object_textgrid_font_source_get

Referenced by evas_object_textgrid_font_source_get().

#define evas_obj_textgrid_font_set | ( |  | font_name,
|  |  | font_size
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_SET), EO_TYPECHECK(const char *, font_name), EO_TYPECHECK(Evas_Font_Size, font_size)

Since
  1.8

Set the font family and size on a given textgrid object.

Parameters

  [in] | font_name |
  [in] | font_size |

See Also
  evas_object_textgrid_font_set

Referenced by evas_object_textgrid_font_set().

#define evas_obj_textgrid_font_get | ( |  | font_name,
|  |  | font_size
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_FONT_GET), EO_TYPECHECK(const char **, font_name), EO_TYPECHECK(Evas_Font_Size *, font_size)

Since
  1.8

Retrieve the font family and size in use on a given textgrid object.

Parameters

  [out] | font_name |
  [out] | font_size |

See Also
  evas_object_textgrid_font_get

Referenced by evas_object_textgrid_font_get().

#define evas_obj_textgrid_cell_size_get | ( |  | width,
|  |  | height
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_CELL_SIZE_GET), EO_TYPECHECK(int *, width), EO_TYPECHECK(int *, height)

Since
  1.8

Retrieve the size of a cell of the given textgrid object in pixels.

Parameters

  [out] | width |
  [out] | height |

See Also
  evas_object_textgrid_cell_size_get

Referenced by evas_object_textgrid_cell_size_get().

#define evas_obj_textgrid_palette_set | ( |  | pal,
|  |  | idx,
|  |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_PALETTE_SET), EO_TYPECHECK(Evas_Textgrid_Palette, pal), EO_TYPECHECK(int, idx), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)

Since
  1.8

The set color to the given palette at the given index of the given textgrid object.

Parameters

  [in] | pal |
  [in] | idx |
  [in] | r |
  [in] | g |
  [in] | b |
  [in] | a |

See Also
  evas_object_textgrid_palette_set

Referenced by evas_object_textgrid_palette_set().

#define evas_obj_textgrid_palette_get | ( |  | pal,
|  |  | idx,
|  |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_PALETTE_GET), EO_TYPECHECK(Evas_Textgrid_Palette, pal), EO_TYPECHECK(int, idx), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)

Since
  1.8

The retrieve color to the given palette at the given index of the given textgrid object.

Parameters

  [in] | pal |
  [in] | idx |
  [out] | r |
  [out] | g |
  [out] | b |
  [out] | a |

See Also
  evas_object_textgrid_palette_get

Referenced by evas_object_textgrid_palette_get().

#define evas_obj_textgrid_supported_font_styles_set | ( |  | styles | ) | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SUPPORTED_FONT_STYLES_SET), EO_TYPECHECK(Evas_Textgrid_Font_Style, styles)

Since
  1.8

No description supplied by the EAPI.

Parameters

  [in] | styles |

See Also
  evas_object_textgrid_supported_font_styles_set

#define evas_obj_textgrid_supported_font_styles_get | ( |  | ret | ) | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_SUPPORTED_FONT_STYLES_GET), EO_TYPECHECK(Evas_Textgrid_Font_Style *, ret)

Since
  1.8

No description supplied by the EAPI.

Parameters

  [out] | ret |

See Also
  evas_object_textgrid_supported_font_styles_get

#define evas_obj_textgrid_cellrow_set | ( |  | y,
|  |  | row
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_CELLROW_SET), EO_TYPECHECK(int, y), EO_TYPECHECK(const Evas_Textgrid_Cell *, row)

Since
  1.8

Set the string at the given row of the given textgrid object.

Parameters

  [in] | y |
  [in] | row |

See Also
  evas_object_textgrid_cellrow_set

Referenced by evas_object_textgrid_cellrow_set().

#define evas_obj_textgrid_cellrow_get | ( |  | y,
|  |  | ret
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_CELLROW_GET), EO_TYPECHECK(int, y), EO_TYPECHECK(Evas_Textgrid_Cell **, ret)

Since
  1.8

Get the string at the given row of the given textgrid object.

Parameters

  [in] | y |
  [out] | ret |

See Also
  evas_object_textgrid_cellrow_get

Referenced by evas_object_textgrid_cellrow_get().

#define evas_obj_textgrid_update_add | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EVAS_OBJ_TEXTGRID_ID(EVAS_OBJ_TEXTGRID_SUB_ID_UPDATE_ADD), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Indicate for evas that part of a textgrid region (cells) has been updated.

Parameters

  [in] | x |
  [in] | y |
  [in] | w |
  [in] | h |

See Also
  evas_object_textgrid_update_add

Referenced by evas_object_textgrid_update_add().

## Typedef Documentation

Evas_Textgrid_Cell

The values that describes each cell.

Since
  1.7

## Enumeration Type Documentation

enum Evas_Textgrid_Palette

The palette to use for the foreground and background colors.

Since
  1.7

Enumerator
EVAS_TEXTGRID_PALETTE_NONE | No palette is used.
EVAS_TEXTGRID_PALETTE_STANDARD | standard palette (around 16 colors)
EVAS_TEXTGRID_PALETTE_EXTENDED | extended palette (at max 256 colors)
EVAS_TEXTGRID_PALETTE_LAST | ignore it

enum Evas_Textgrid_Font_Style

The style to give to each character of the grid.

Since
  1.7

Enumerator
EVAS_TEXTGRID_FONT_STYLE_NORMAL | Normal style.
EVAS_TEXTGRID_FONT_STYLE_BOLD | Bold style.
EVAS_TEXTGRID_FONT_STYLE_ITALIC | Oblique style.